com.streambase.liveview.client

## Enum Table.TableGroup

- java.lang.Object
- - java.lang.Enum<Table.TableGroup>
  - - com.streambase.liveview.client.Table.TableGroup

- All Implemented Interfaces:
    Serializable, Comparable<Table.TableGroup>
  Enclosing interface:
    Table

      public static enum Table.TableGroup
      extends Enum<Table.TableGroup>

  ENUM for table groups. Table provides can use any string. ActiveSpace uses metaspaces name, for example.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CEP`
    `DYNAMIC`
    `SYS`
    `USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReadable()`
    `static Table.TableGroup` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Table.TableGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYS

          public static final Table.TableGroup SYS

    - #### USER

          public static final Table.TableGroup USER

    - #### CEP

          public static final Table.TableGroup CEP

    - #### DYNAMIC

          public static final Table.TableGroup DYNAMIC

  - ### Method Detail

    - #### values

          public static Table.TableGroup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Table.TableGroup c : Table.TableGroup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Table.TableGroup valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadable

          public String getReadable()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.